Debian Bug report logs - #705103
"ITA: testng -- testing framework for Java"

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sylvestre Ledru <sylvestre@debian.org>

Date: Wed, 10 Apr 2013 09:03:10 UTC

Owned by: jevgeni.zh@gmail.com

Severity: normal

Fixed in version testng/6.8.7-1

Done: Eugene Zhukov <jevgeni.zh@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#705103; Package wnpp. (Wed, 10 Apr 2013 09:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 10 Apr 2013 09:03:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: testng -- testing framework for Java
Date: Wed, 10 Apr 2013 10:58:42 +0200
Package: wnpp
Severity: normal

I request an adopter for the testng package.

I am no longer using it. For technical reasons, I migrated to junit4.
There is some work to package the new upstream release.

The package description is:
 TestNG is a testing framework inspired by JUnit and NUnit but
 introducing some new functionalities that make it more powerful and
 easier to use, such as:
 .
     * JDK 5 annotations
     * Flexible test configuration
     * Support for data-driven testing
     * Support for parameters
     * Distribution of tests on slave machines
     * Powerful execution model (no more TestSuite)
     * Embeds BeanShell for further flexibility
 .
 TestNG is designed to cover all categories of tests, including unit,
 functional, end-to-end and integration tests.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#705103; Package wnpp. (Tue, 20 Aug 2013 11:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugene Zhukov <jevgeni.zh@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 20 Aug 2013 11:00:05 GMT) Full text and rfc822 format available.

Message #10 received at 705103@bugs.debian.org (full text, mbox):

From: Eugene Zhukov <jevgeni.zh@gmail.com>
To: 705103@bugs.debian.org
Subject: ITA: testng -- testing framework for Java
Date: Tue, 20 Aug 2013 13:56:05 +0300
Package: wnpp
Severity: wishlist
Owner: Eugene Zhukov <jevgeni.zh@gmail.com>

I intend to adopt this package.



Changed Bug title to '"ITA: testng -- testing framework for Java"' from 'RFA: testng -- testing framework for Java' Request was from Eugene Zhukov <jevgeni.zh@gmail.com> to control@bugs.debian.org. (Tue, 20 Aug 2013 11:36:07 GMT) Full text and rfc822 format available.

Owner recorded as jevgeni.zh@gmail.com. Request was from Eugene Zhukov <jevgeni.zh@gmail.com> to control@bugs.debian.org. (Tue, 20 Aug 2013 11:36:08 GMT) Full text and rfc822 format available.

Reply sent to Eugene Zhukov <jevgeni.zh@gmail.com>:
You have taken responsibility. (Fri, 13 Sep 2013 07:06:09 GMT) Full text and rfc822 format available.

Notification sent to Sylvestre Ledru <sylvestre@debian.org>:
Bug acknowledged by developer. (Fri, 13 Sep 2013 07:06:09 GMT) Full text and rfc822 format available.

Message #19 received at 705103-close@bugs.debian.org (full text, mbox):

From: Eugene Zhukov <jevgeni.zh@gmail.com>
To: 705103-close@bugs.debian.org
Subject: Bug#705103: fixed in testng 6.8.7-1
Date: Fri, 13 Sep 2013 07:03:18 +0000
Source: testng
Source-Version: 6.8.7-1

We believe that the bug you reported is fixed in the latest version of
testng, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 705103@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eugene Zhukov <jevgeni.zh@gmail.com> (supplier of updated testng package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 07 Sep 2013 10:42:29 +0000
Source: testng
Binary: testng
Architecture: source all
Version: 6.8.7-1
Distribution: experimental
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Eugene Zhukov <jevgeni.zh@gmail.com>
Description: 
 testng     - testing framework for Java
Closes: 579122 705103
Changes: 
 testng (6.8.7-1) experimental; urgency=low
 .
   * Team upload.
   * Package adoption (Closes: #705103)
   * New upstream release (Closes: #579122)
   * repackaged with maven-debian-helper
   * dropped all previous patches
Checksums-Sha1: 
 b89a5ba70f1b4d922effad0f4937e8376d30e5a4 2044 testng_6.8.7-1.dsc
 44b8a56fe67ddbb6006d3e8441444e79c3430d6c 1835192 testng_6.8.7.orig.tar.xz
 bfaa580be1f198f59eca856426b9065ebaff740f 3860 testng_6.8.7-1.debian.tar.gz
 92cf266632a69dedc5fe83841c42dc0b31073f39 784358 testng_6.8.7-1_all.deb
Checksums-Sha256: 
 1c31d8067fd86c34fb68f33a8a9fb9e21373e38d049f5a4b188024b478013d82 2044 testng_6.8.7-1.dsc
 37f10d1f3305864d51f085109b25bbbef95f393cd06785ab66a0cc1c2cd8fe86 1835192 testng_6.8.7.orig.tar.xz
 bd67ff4ba738710847cff44a7fd78b7e9cdc0e1b58573535e95402b4dca35668 3860 testng_6.8.7-1.debian.tar.gz
 5d36a6ca7c9dffee4469c9b0cefa53c3298aae783c45680a7afad6358ac50030 784358 testng_6.8.7-1_all.deb
Files: 
 22a86b4984653332dd0bcbe663c2a238 2044 java optional testng_6.8.7-1.dsc
 c4c9aa5a0b22f090673ec9b0a3033f6f 1835192 java optional testng_6.8.7.orig.tar.xz
 52a6e5d02daeaea80c894e8c29cc7855 3860 java optional testng_6.8.7-1.debian.tar.gz
 4ee368496c750eee087b148bdafd6273 784358 java optional testng_6.8.7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJSMraoAAoJEAFx4YKK4JNFzKwP/ij9xjlXAVDjK5XrlXYM5RYz
zuwptip6hWpKotwLp23qoKTB+1JLFmf2M+TPtVrm60Or7vw23sO6t9z25c4Qpg9z
c2kqoHpNgfeLTOLm6TiYBIrXtYGhmB1GBSVx4YP2EEJFolx+ebs1CHjR/2TaUhii
Knbv+iAv19yX44kMcCBPsHK0LJTLr1ZjRjSPjSJ5BkXPrfQM8CZl1UVZLYef91mD
ax50jKW/fo+NCQ1igq+s3fRkujl0Nn80qSZvAp9pggSvlyiNiI13sTMNcwG8JYCt
wbP+AAGnYabTa8DmaURACV+KtYVfwFJEIs6bLVZQ30G2hlg9hKNtKhB//lPFIjUf
VNKKz75kJ0TnszBkMsK/841jbEPfmclBhJk3l9U+aLxZZHNVpwyZU7EmLljves4W
NFqwi32Kx0V3Fv+brA+DM9KJy3LGdslZNL+n/Ulef1w749SmYukG3+MU6+kCRIa8
CXtUD+2NvQp4fPnKVPAH55OicvyXO4OtAYzsBXtZli9Bz2Y8XGGDeRhoRXF0kn7F
wrwkWrt0a0nqEU85d2BTPFkm71A3Q2S3CFInAT1Obr4tGXMwud2Fivk6ECoDw5Wp
ePwWjUI0IFM6T2Q6+5SST2QVE6evJ06Pb44nSTYlszmqW6WgtJ46/xxgJ6v1y5u7
GMTOwTOJZ7Iot2EY8npB
=Aj50
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Oct 2013 07:25:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:53:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.